Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.vecmath
Class VecmathOperators

    java.lang.Object
      de.grogra.vecmath.VecmathOperators

    public final class VecmathOperators

extends java.lang.Object

Method Summary
`static Point2d` | `operator$add(Point2d a, Point2d b)`
`static Point2d` | `operator$add(Point2d a, Point2f b)`
`static Point2d` | `operator$add(Point2d a, Tuple2d b)`
`static Point2d` | `operator$add(Point2d a, Tuple2f b)`
`static Point2d` | `operator$add(Point2f a, Point2d b)`
`static Point2f` | `operator$add(Point2f a, Point2f b)`
`static Point2d` | `operator$add(Point2f a, Tuple2d b)`
`static Point2f` | `operator$add(Point2f a, Tuple2f b)`
`static Point3d` | `operator$add(Point3d a, Point3d b)`
`static Point3d` | `operator$add(Point3d a, Point3f b)`
`static Point3d` | `operator$add(Point3d a, Tuple3d b)`
`static Point3d` | `operator$add(Point3d a, Tuple3f b)`
`static Point3d` | `operator$add(Point3f a, Point3d b)`
`static Point3f` | `operator$add(Point3f a, Point3f b)`
`static Point3d` | `operator$add(Point3f a, Tuple3d b)`
`static Point3f` | `operator$add(Point3f a, Tuple3f b)`
`static Point4d` | `operator$add(Point4d a, Point4d b)`
`static Point4d` | `operator$add(Point4d a, Point4f b)`
`static Point4d` | `operator$add(Point4d a, Tuple4d b)`
`static Point4d` | `operator$add(Point4d a, Tuple4f b)`
`static Point4d` | `operator$add(Point4f a, Point4d b)`
`static Point4f` | `operator$add(Point4f a, Point4f b)`
`static Point4d` | `operator$add(Point4f a, Tuple4d b)`
`static Point4f` | `operator$add(Point4f a, Tuple4f b)`
`static Point2d` | `operator$add(Tuple2d a, Point2d b)`
`static Point2d` | `operator$add(Tuple2d a, Point2f b)`
`static Point2d` | `operator$add(Tuple2f a, Point2d b)`
`static Point2f` | `operator$add(Tuple2f a, Point2f b)`
`static Point3d` | `operator$add(Tuple3d a, Point3d b)`
`static Point3d` | `operator$add(Tuple3d a, Point3f b)`
`static Point3d` | `operator$add(Tuple3f a, Point3d b)`
`static Point3f` | `operator$add(Tuple3f a, Point3f b)`
`static Point4d` | `operator$add(Tuple4d a, Point4d b)`
`static Point4d` | `operator$add(Tuple4d a, Point4f b)`
`static Point4d` | `operator$add(Tuple4f a, Point4d b)`
`static Point4f` | `operator$add(Tuple4f a, Point4f b)`
`static Vector2d` | `operator$add(Vector2d a, Vector2d b)`
`static Vector2d` | `operator$add(Vector2d a, Vector2f b)`
`static Vector2d` | `operator$add(Vector2f a, Vector2d b)`
`static Vector2f` | `operator$add(Vector2f a, Vector2f b)`
`static Vector3d` | `operator$add(Vector3d a, Vector3d b)`
`static Vector3d` | `operator$add(Vector3d a, Vector3f b)`
`static Vector3d` | `operator$add(Vector3f a, Vector3d b)`
`static Vector3f` | `operator$add(Vector3f a, Vector3f b)`
`static Vector4d` | `operator$add(Vector4d a, Vector4d b)`
`static Vector4d` | `operator$add(Vector4d a, Vector4f b)`
`static Vector4d` | `operator$add(Vector4f a, Vector4d b)`
`static Vector4f` | `operator$add(Vector4f a, Vector4f b)`
`static Point2d` | `operator$addAssign(Point2d a, Tuple2d b)`
`static Point2d` | `operator$addAssign(Point2d a, Tuple2f b)`
`static Point2f` | `operator$addAssign(Point2f a, Tuple2f b)`
`static Point3d` | `operator$addAssign(Point3d a, Tuple3d b)`
`static Point3d` | `operator$addAssign(Point3d a, Tuple3f b)`
`static Point3f` | `operator$addAssign(Point3f a, Tuple3f b)`
`static Point4d` | `operator$addAssign(Point4d a, Tuple4d b)`
`static Point4d` | `operator$addAssign(Point4d a, Tuple4f b)`
`static Point4f` | `operator$addAssign(Point4f a, Tuple4f b)`
`static Vector2d` | `operator$addAssign(Vector2d a, Vector2d b)`
`static Vector2d` | `operator$addAssign(Vector2d a, Vector2f b)`
`static Vector2f` | `operator$addAssign(Vector2f a, Vector2f b)`
`static Vector3d` | `operator$addAssign(Vector3d a, Vector3d b)`
`static Vector3d` | `operator$addAssign(Vector3d a, Vector3f b)`
`static Vector3f` | `operator$addAssign(Vector3f a, Vector3f b)`
`static Vector4d` | `operator$addAssign(Vector4d a, Vector4d b)`
`static Vector4d` | `operator$addAssign(Vector4d a, Vector4f b)`
`static Vector4f` | `operator$addAssign(Vector4f a, Vector4f b)`
`static Point2d` | `operator$div(Point2d a, double b)`
`static Point2f` | `operator$div(Point2f a, float b)`
`static Point3d` | `operator$div(Point3d a, double b)`
`static Point3f` | `operator$div(Point3f a, float b)`
`static Point4d` | `operator$div(Point4d a, double b)`
`static Point4f` | `operator$div(Point4f a, float b)`
`static Vector2d` | `operator$div(Tuple2d a, double b)`
`static Vector2f` | `operator$div(Tuple2f a, float b)`
`static Vector3d` | `operator$div(Tuple3d a, double b)`
`static Vector3f` | `operator$div(Tuple3f a, float b)`
`static Vector4d` | `operator$div(Tuple4d a, double b)`
`static Vector4f` | `operator$div(Tuple4f a, float b)`
`static boolean` | `operator$in(Tuple3d point, Volume set)` This operator method is an alias for `(set !`
`static Point2d` | `operator$mul(double b, Point2d a)`
`static Point3d` | `operator$mul(double b, Point3d a)`
`static Point4d` | `operator$mul(double b, Point4d a)`
`static Vector2d` | `operator$mul(double b, Tuple2d a)`
`static Vector3d` | `operator$mul(double b, Tuple3d a)`
`static Vector4d` | `operator$mul(double b, Tuple4d a)`
`static Point2f` | `operator$mul(float b, Point2f a)`
`static Point3f` | `operator$mul(float b, Point3f a)`
`static Point4f` | `operator$mul(float b, Point4f a)`
`static Vector2f` | `operator$mul(float b, Tuple2f a)`
`static Vector3f` | `operator$mul(float b, Tuple3f a)`
`static Vector4f` | `operator$mul(float b, Tuple4f a)`
`static Point2d` | `operator$mul(Point2d a, double b)`
`static Point2f` | `operator$mul(Point2f a, float b)`
`static Point3d` | `operator$mul(Point3d a, double b)`
`static Point3f` | `operator$mul(Point3f a, float b)`
`static Point4d` | `operator$mul(Point4d a, double b)`
`static Point4f` | `operator$mul(Point4f a, float b)`
`static Vector2d` | `operator$mul(Tuple2d a, double b)`
`static Vector2f` | `operator$mul(Tuple2f a, float b)`
`static Vector3d` | `operator$mul(Tuple3d a, double b)`
`static Vector3f` | `operator$mul(Tuple3f a, float b)`
`static Vector4d` | `operator$mul(Tuple4d a, double b)`
`static Vector4f` | `operator$mul(Tuple4f a, float b)`
`static Point2d` | `operator$mulAssign(Point2d a, double b)`
`static Point2f` | `operator$mulAssign(Point2f a, float b)`
`static Point3d` | `operator$mulAssign(Point3d a, double b)`
`static Point3f` | `operator$mulAssign(Point3f a, float b)`
`static Point4d` | `operator$mulAssign(Point4d a, double b)`
`static Point4f` | `operator$mulAssign(Point4f a, float b)`
`static Vector2d` | `operator$mulAssign(Vector2d a, double b)`
`static Vector2f` | `operator$mulAssign(Vector2f a, float b)`
`static Vector3d` | `operator$mulAssign(Vector3d a, double b)`
`static Vector3f` | `operator$mulAssign(Vector3f a, float b)`
`static Vector4d` | `operator$mulAssign(Vector4d a, double b)`
`static Vector4f` | `operator$mulAssign(Vector4f a, float b)`
`static Point2d` | `operator$neg(Point2d a)`
`static Point2f` | `operator$neg(Point2f a)`
`static Point3d` | `operator$neg(Point3d a)`
`static Point3f` | `operator$neg(Point3f a)`
`static Point4d` | `operator$neg(Point4d a)`
`static Point4f` | `operator$neg(Point4f a)`
`static Vector2d` | `operator$neg(Tuple2d a)`
`static Vector2f` | `operator$neg(Tuple2f a)`
`static Vector3d` | `operator$neg(Tuple3d a)`
`static Vector3f` | `operator$neg(Tuple3f a)`
`static Vector4d` | `operator$neg(Tuple4d a)`
`static Vector4f` | `operator$neg(Tuple4f a)`
`static Vector2d` | `operator$sub(Point2d a, Point2d b)`
`static Vector2d` | `operator$sub(Point2d a, Point2f b)`
`static Point2d` | `operator$sub(Point2d a, Tuple2d b)`
`static Point2d` | `operator$sub(Point2d a, Tuple2f b)`
`static Vector2d` | `operator$sub(Point2f a, Point2d b)`
`static Vector2f` | `operator$sub(Point2f a, Point2f b)`
`static Point2d` | `operator$sub(Point2f a, Tuple2d b)`
`static Point2f` | `operator$sub(Point2f a, Tuple2f b)`
`static Vector3d` | `operator$sub(Point3d a, Point3d b)`
`static Vector3d` | `operator$sub(Point3d a, Point3f b)`
`static Point3d` | `operator$sub(Point3d a, Tuple3d b)`
`static Point3d` | `operator$sub(Point3d a, Tuple3f b)`
`static Vector3d` | `operator$sub(Point3f a, Point3d b)`
`static Vector3f` | `operator$sub(Point3f a, Point3f b)`
`static Point3d` | `operator$sub(Point3f a, Tuple3d b)`
`static Point3f` | `operator$sub(Point3f a, Tuple3f b)`
`static Vector4d` | `operator$sub(Point4d a, Point4d b)`
`static Vector4d` | `operator$sub(Point4d a, Point4f b)`
`static Point4d` | `operator$sub(Point4d a, Tuple4d b)`
`static Point4d` | `operator$sub(Point4d a, Tuple4f b)`
`static Vector4d` | `operator$sub(Point4f a, Point4d b)`
`static Vector4f` | `operator$sub(Point4f a, Point4f b)`
`static Point4d` | `operator$sub(Point4f a, Tuple4d b)`
`static Point4f` | `operator$sub(Point4f a, Tuple4f b)`
`static Point2d` | `operator$sub(Tuple2d a, Point2d b)`
`static Point2d` | `operator$sub(Tuple2d a, Point2f b)`
`static Point2d` | `operator$sub(Tuple2f a, Point2d b)`
`static Point2f` | `operator$sub(Tuple2f a, Point2f b)`
`static Point3d` | `operator$sub(Tuple3d a, Point3d b)`
`static Point3d` | `operator$sub(Tuple3d a, Point3f b)`
`static Point3d` | `operator$sub(Tuple3f a, Point3d b)`
`static Point3f` | `operator$sub(Tuple3f a, Point3f b)`
`static Point4d` | `operator$sub(Tuple4d a, Point4d b)`
`static Point4d` | `operator$sub(Tuple4d a, Point4f b)`
`static Point4d` | `operator$sub(Tuple4f a, Point4d b)`
`static Point4f` | `operator$sub(Tuple4f a, Point4f b)`
`static Vector2d` | `operator$sub(Vector2d a, Vector2d b)`
`static Vector2d` | `operator$sub(Vector2d a, Vector2f b)`
`static Vector2d` | `operator$sub(Vector2f a, Vector2d b)`
`static Vector2f` | `operator$sub(Vector2f a, Vector2f b)`
`static Vector3d` | `operator$sub(Vector3d a, Vector3d b)`
`static Vector3d` | `operator$sub(Vector3d a, Vector3f b)`
`static Vector3d` | `operator$sub(Vector3f a, Vector3d b)`
`static Vector3f` | `operator$sub(Vector3f a, Vector3f b)`
`static Vector4d` | `operator$sub(Vector4d a, Vector4d b)`
`static Vector4d` | `operator$sub(Vector4d a, Vector4f b)`
`static Vector4d` | `operator$sub(Vector4f a, Vector4d b)`
`static Vector4f` | `operator$sub(Vector4f a, Vector4f b)`
`static Point2d` | `operator$subAssign(Point2d a, Tuple2d b)`
`static Point2d` | `operator$subAssign(Point2d a, Tuple2f b)`
`static Point2f` | `operator$subAssign(Point2f a, Tuple2f b)`
`static Point3d` | `operator$subAssign(Point3d a, Tuple3d b)`
`static Point3d` | `operator$subAssign(Point3d a, Tuple3f b)`
`static Point3f` | `operator$subAssign(Point3f a, Tuple3f b)`
`static Point4d` | `operator$subAssign(Point4d a, Tuple4d b)`
`static Point4d` | `operator$subAssign(Point4d a, Tuple4f b)`
`static Point4f` | `operator$subAssign(Point4f a, Tuple4f b)`
`static Vector2d` | `operator$subAssign(Vector2d a, Vector2d b)`
`static Vector2d` | `operator$subAssign(Vector2d a, Vector2f b)`
`static Vector2f` | `operator$subAssign(Vector2f a, Vector2f b)`
`static Vector3d` | `operator$subAssign(Vector3d a, Vector3d b)`
`static Vector3d` | `operator$subAssign(Vector3d a, Vector3f b)`
`static Vector3f` | `operator$subAssign(Vector3f a, Vector3f b)`
`static Vector4d` | `operator$subAssign(Vector4d a, Vector4d b)`
`static Vector4d` | `operator$subAssign(Vector4d a, Vector4f b)`
`static Vector4f` | `operator$subAssign(Vector4f a, Vector4f b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### operator$add

    public static Point2d operator$add(Point2d a,
                                       Point2d b)

### operator$add

    public static Point2d operator$add(Point2d a,
                                       Point2f b)

### operator$add

    public static Point2d operator$add(Point2d a,
                                       Tuple2d b)

### operator$add

    public static Point2d operator$add(Point2d a,
                                       Tuple2f b)

### operator$add

    public static Point2d operator$add(Point2f a,
                                       Point2d b)

### operator$add

    public static Point2f operator$add(Point2f a,
                                       Point2f b)

### operator$add

    public static Point2d operator$add(Point2f a,
                                       Tuple2d b)

### operator$add

    public static Point2f operator$add(Point2f a,
                                       Tuple2f b)

### operator$add

    public static Point3d operator$add(Point3d a,
                                       Point3d b)

### operator$add

    public static Point3d operator$add(Point3d a,
                                       Point3f b)

### operator$add

    public static Point3d operator$add(Point3d a,
                                       Tuple3d b)

### operator$add

    public static Point3d operator$add(Point3d a,
                                       Tuple3f b)

### operator$add

    public static Point3d operator$add(Point3f a,
                                       Point3d b)

### operator$add

    public static Point3f operator$add(Point3f a,
                                       Point3f b)

### operator$add

    public static Point3d operator$add(Point3f a,
                                       Tuple3d b)

### operator$add

    public static Point3f operator$add(Point3f a,
                                       Tuple3f b)

### operator$add

    public static Point4d operator$add(Point4d a,
                                       Point4d b)

### operator$add

    public static Point4d operator$add(Point4d a,
                                       Point4f b)

### operator$add

    public static Point4d operator$add(Point4d a,
                                       Tuple4d b)

### operator$add

    public static Point4d operator$add(Point4d a,
                                       Tuple4f b)

### operator$add

    public static Point4d operator$add(Point4f a,
                                       Point4d b)

### operator$add

    public static Point4f operator$add(Point4f a,
                                       Point4f b)

### operator$add

    public static Point4d operator$add(Point4f a,
                                       Tuple4d b)

### operator$add

    public static Point4f operator$add(Point4f a,
                                       Tuple4f b)

### operator$add

    public static Point2d operator$add(Tuple2d a,
                                       Point2d b)

### operator$add

    public static Point2d operator$add(Tuple2d a,
                                       Point2f b)

### operator$add

    public static Point2d operator$add(Tuple2f a,
                                       Point2d b)

### operator$add

    public static Point2f operator$add(Tuple2f a,
                                       Point2f b)

### operator$add

    public static Point3d operator$add(Tuple3d a,
                                       Point3d b)

### operator$add

    public static Point3d operator$add(Tuple3d a,
                                       Point3f b)

### operator$add

    public static Point3d operator$add(Tuple3f a,
                                       Point3d b)

### operator$add

    public static Point3f operator$add(Tuple3f a,
                                       Point3f b)

### operator$add

    public static Point4d operator$add(Tuple4d a,
                                       Point4d b)

### operator$add

    public static Point4d operator$add(Tuple4d a,
                                       Point4f b)

### operator$add

    public static Point4d operator$add(Tuple4f a,
                                       Point4d b)

### operator$add

    public static Point4f operator$add(Tuple4f a,
                                       Point4f b)

### operator$add

    public static Vector2d operator$add(Vector2d a,
                                        Vector2d b)

### operator$add

    public static Vector2d operator$add(Vector2d a,
                                        Vector2f b)

### operator$add

    public static Vector2d operator$add(Vector2f a,
                                        Vector2d b)

### operator$add

    public static Vector2f operator$add(Vector2f a,
                                        Vector2f b)

### operator$add

    public static Vector3d operator$add(Vector3d a,
                                        Vector3d b)

### operator$add

    public static Vector3d operator$add(Vector3d a,
                                        Vector3f b)

### operator$add

    public static Vector3d operator$add(Vector3f a,
                                        Vector3d b)

### operator$add

    public static Vector3f operator$add(Vector3f a,
                                        Vector3f b)

### operator$add

    public static Vector4d operator$add(Vector4d a,
                                        Vector4d b)

### operator$add

    public static Vector4d operator$add(Vector4d a,
                                        Vector4f b)

### operator$add

    public static Vector4d operator$add(Vector4f a,
                                        Vector4d b)

### operator$add

    public static Vector4f operator$add(Vector4f a,
                                        Vector4f b)

### operator$addAssign

    public static Point2d operator$addAssign(Point2d a,
                                             Tuple2d b)

### operator$addAssign

    public static Point2d operator$addAssign(Point2d a,
                                             Tuple2f b)

### operator$addAssign

    public static Point2f operator$addAssign(Point2f a,
                                             Tuple2f b)

### operator$addAssign

    public static Point3d operator$addAssign(Point3d a,
                                             Tuple3d b)

### operator$addAssign

    public static Point3d operator$addAssign(Point3d a,
                                             Tuple3f b)

### operator$addAssign

    public static Point3f operator$addAssign(Point3f a,
                                             Tuple3f b)

### operator$addAssign

    public static Point4d operator$addAssign(Point4d a,
                                             Tuple4d b)

### operator$addAssign

    public static Point4d operator$addAssign(Point4d a,
                                             Tuple4f b)

### operator$addAssign

    public static Point4f operator$addAssign(Point4f a,
                                             Tuple4f b)

### operator$addAssign

    public static Vector2d operator$addAssign(Vector2d a,
                                              Vector2d b)

### operator$addAssign

    public static Vector2d operator$addAssign(Vector2d a,
                                              Vector2f b)

### operator$addAssign

    public static Vector2f operator$addAssign(Vector2f a,
                                              Vector2f b)

### operator$addAssign

    public static Vector3d operator$addAssign(Vector3d a,
                                              Vector3d b)

### operator$addAssign

    public static Vector3d operator$addAssign(Vector3d a,
                                              Vector3f b)

### operator$addAssign

    public static Vector3f operator$addAssign(Vector3f a,
                                              Vector3f b)

### operator$addAssign

    public static Vector4d operator$addAssign(Vector4d a,
                                              Vector4d b)

### operator$addAssign

    public static Vector4d operator$addAssign(Vector4d a,
                                              Vector4f b)

### operator$addAssign

    public static Vector4f operator$addAssign(Vector4f a,
                                              Vector4f b)

### operator$div

    public static Point2d operator$div(Point2d a,
                                       double b)

### operator$div

    public static Point2f operator$div(Point2f a,
                                       float b)

### operator$div

    public static Point3d operator$div(Point3d a,
                                       double b)

### operator$div

    public static Point3f operator$div(Point3f a,
                                       float b)

### operator$div

    public static Point4d operator$div(Point4d a,
                                       double b)

### operator$div

    public static Point4f operator$div(Point4f a,
                                       float b)

### operator$div

    public static Vector2d operator$div(Tuple2d a,
                                        double b)

### operator$div

    public static Vector2f operator$div(Tuple2f a,
                                        float b)

### operator$div

    public static Vector3d operator$div(Tuple3d a,
                                        double b)

### operator$div

    public static Vector3f operator$div(Tuple3f a,
                                        float b)

### operator$div

    public static Vector4d operator$div(Tuple4d a,
                                        double b)

### operator$div

    public static Vector4f operator$div(Tuple4f a,
                                        float b)

### operator$in

    public static boolean operator$in(Tuple3d point,
                                      Volume set)

  This operator method is an alias for `(set != null) && set.contains(point, false)`.

  Parameters:
    `point` - a point
    `set` - a volume
  Returns:
    `true` iff `point` is contained in `set`
  See Also:
    `Volume.contains(Tuple3d, boolean)`

### operator$mul

    public static Point2d operator$mul(double b,
                                       Point2d a)

### operator$mul

    public static Point3d operator$mul(double b,
                                       Point3d a)

### operator$mul

    public static Point4d operator$mul(double b,
                                       Point4d a)

### operator$mul

    public static Vector2d operator$mul(double b,
                                        Tuple2d a)

### operator$mul

    public static Vector3d operator$mul(double b,
                                        Tuple3d a)

### operator$mul

    public static Vector4d operator$mul(double b,
                                        Tuple4d a)

### operator$mul

    public static Point2f operator$mul(float b,
                                       Point2f a)

### operator$mul

    public static Point3f operator$mul(float b,
                                       Point3f a)

### operator$mul

    public static Point4f operator$mul(float b,
                                       Point4f a)

### operator$mul

    public static Vector2f operator$mul(float b,
                                        Tuple2f a)

### operator$mul

    public static Vector3f operator$mul(float b,
                                        Tuple3f a)

### operator$mul

    public static Vector4f operator$mul(float b,
                                        Tuple4f a)

### operator$mul

    public static Point2d operator$mul(Point2d a,
                                       double b)

### operator$mul

    public static Point2f operator$mul(Point2f a,
                                       float b)

### operator$mul

    public static Point3d operator$mul(Point3d a,
                                       double b)

### operator$mul

    public static Point3f operator$mul(Point3f a,
                                       float b)

### operator$mul

    public static Point4d operator$mul(Point4d a,
                                       double b)

### operator$mul

    public static Point4f operator$mul(Point4f a,
                                       float b)

### operator$mul

    public static Vector2d operator$mul(Tuple2d a,
                                        double b)

### operator$mul

    public static Vector2f operator$mul(Tuple2f a,
                                        float b)

### operator$mul

    public static Vector3d operator$mul(Tuple3d a,
                                        double b)

### operator$mul

    public static Vector3f operator$mul(Tuple3f a,
                                        float b)

### operator$mul

    public static Vector4d operator$mul(Tuple4d a,
                                        double b)

### operator$mul

    public static Vector4f operator$mul(Tuple4f a,
                                        float b)

### operator$mulAssign

    public static Point2d operator$mulAssign(Point2d a,
                                             double b)

### operator$mulAssign

    public static Point2f operator$mulAssign(Point2f a,
                                             float b)

### operator$mulAssign

    public static Point3d operator$mulAssign(Point3d a,
                                             double b)

### operator$mulAssign

    public static Point3f operator$mulAssign(Point3f a,
                                             float b)

### operator$mulAssign

    public static Point4d operator$mulAssign(Point4d a,
                                             double b)

### operator$mulAssign

    public static Point4f operator$mulAssign(Point4f a,
                                             float b)

### operator$mulAssign

    public static Vector2d operator$mulAssign(Vector2d a,
                                              double b)

### operator$mulAssign

    public static Vector2f operator$mulAssign(Vector2f a,
                                              float b)

### operator$mulAssign

    public static Vector3d operator$mulAssign(Vector3d a,
                                              double b)

### operator$mulAssign

    public static Vector3f operator$mulAssign(Vector3f a,
                                              float b)

### operator$mulAssign

    public static Vector4d operator$mulAssign(Vector4d a,
                                              double b)

### operator$mulAssign

    public static Vector4f operator$mulAssign(Vector4f a,
                                              float b)

### operator$neg

    public static Point2d operator$neg(Point2d a)

### operator$neg

    public static Point2f operator$neg(Point2f a)

### operator$neg

    public static Point3d operator$neg(Point3d a)

### operator$neg

    public static Point3f operator$neg(Point3f a)

### operator$neg

    public static Point4d operator$neg(Point4d a)

### operator$neg

    public static Point4f operator$neg(Point4f a)

### operator$neg

    public static Vector2d operator$neg(Tuple2d a)

### operator$neg

    public static Vector2f operator$neg(Tuple2f a)

### operator$neg

    public static Vector3d operator$neg(Tuple3d a)

### operator$neg

    public static Vector3f operator$neg(Tuple3f a)

### operator$neg

    public static Vector4d operator$neg(Tuple4d a)

### operator$neg

    public static Vector4f operator$neg(Tuple4f a)

### operator$sub

    public static Vector2d operator$sub(Point2d a,
                                        Point2d b)

### operator$sub

    public static Vector2d operator$sub(Point2d a,
                                        Point2f b)

### operator$sub

    public static Point2d operator$sub(Point2d a,
                                       Tuple2d b)

### operator$sub

    public static Point2d operator$sub(Point2d a,
                                       Tuple2f b)

### operator$sub

    public static Vector2d operator$sub(Point2f a,
                                        Point2d b)

### operator$sub

    public static Vector2f operator$sub(Point2f a,
                                        Point2f b)

### operator$sub

    public static Point2d operator$sub(Point2f a,
                                       Tuple2d b)

### operator$sub

    public static Point2f operator$sub(Point2f a,
                                       Tuple2f b)

### operator$sub

    public static Vector3d operator$sub(Point3d a,
                                        Point3d b)

### operator$sub

    public static Vector3d operator$sub(Point3d a,
                                        Point3f b)

### operator$sub

    public static Point3d operator$sub(Point3d a,
                                       Tuple3d b)

### operator$sub

    public static Point3d operator$sub(Point3d a,
                                       Tuple3f b)

### operator$sub

    public static Vector3d operator$sub(Point3f a,
                                        Point3d b)

### operator$sub

    public static Vector3f operator$sub(Point3f a,
                                        Point3f b)

### operator$sub

    public static Point3d operator$sub(Point3f a,
                                       Tuple3d b)

### operator$sub

    public static Point3f operator$sub(Point3f a,
                                       Tuple3f b)

### operator$sub

    public static Vector4d operator$sub(Point4d a,
                                        Point4d b)

### operator$sub

    public static Vector4d operator$sub(Point4d a,
                                        Point4f b)

### operator$sub

    public static Point4d operator$sub(Point4d a,
                                       Tuple4d b)

### operator$sub

    public static Point4d operator$sub(Point4d a,
                                       Tuple4f b)

### operator$sub

    public static Vector4d operator$sub(Point4f a,
                                        Point4d b)

### operator$sub

    public static Vector4f operator$sub(Point4f a,
                                        Point4f b)

### operator$sub

    public static Point4d operator$sub(Point4f a,
                                       Tuple4d b)

### operator$sub

    public static Point4f operator$sub(Point4f a,
                                       Tuple4f b)

### operator$sub

    public static Point2d operator$sub(Tuple2d a,
                                       Point2d b)

### operator$sub

    public static Point2d operator$sub(Tuple2d a,
                                       Point2f b)

### operator$sub

    public static Point2d operator$sub(Tuple2f a,
                                       Point2d b)

### operator$sub

    public static Point2f operator$sub(Tuple2f a,
                                       Point2f b)

### operator$sub

    public static Point3d operator$sub(Tuple3d a,
                                       Point3d b)

### operator$sub

    public static Point3d operator$sub(Tuple3d a,
                                       Point3f b)

### operator$sub

    public static Point3d operator$sub(Tuple3f a,
                                       Point3d b)

### operator$sub

    public static Point3f operator$sub(Tuple3f a,
                                       Point3f b)

### operator$sub

    public static Point4d operator$sub(Tuple4d a,
                                       Point4d b)

### operator$sub

    public static Point4d operator$sub(Tuple4d a,
                                       Point4f b)

### operator$sub

    public static Point4d operator$sub(Tuple4f a,
                                       Point4d b)

### operator$sub

    public static Point4f operator$sub(Tuple4f a,
                                       Point4f b)

### operator$sub

    public static Vector2d operator$sub(Vector2d a,
                                        Vector2d b)

### operator$sub

    public static Vector2d operator$sub(Vector2d a,
                                        Vector2f b)

### operator$sub

    public static Vector2d operator$sub(Vector2f a,
                                        Vector2d b)

### operator$sub

    public static Vector2f operator$sub(Vector2f a,
                                        Vector2f b)

### operator$sub

    public static Vector3d operator$sub(Vector3d a,
                                        Vector3d b)

### operator$sub

    public static Vector3d operator$sub(Vector3d a,
                                        Vector3f b)

### operator$sub

    public static Vector3d operator$sub(Vector3f a,
                                        Vector3d b)

### operator$sub

    public static Vector3f operator$sub(Vector3f a,
                                        Vector3f b)

### operator$sub

    public static Vector4d operator$sub(Vector4d a,
                                        Vector4d b)

### operator$sub

    public static Vector4d operator$sub(Vector4d a,
                                        Vector4f b)

### operator$sub

    public static Vector4d operator$sub(Vector4f a,
                                        Vector4d b)

### operator$sub

    public static Vector4f operator$sub(Vector4f a,
                                        Vector4f b)

### operator$subAssign

    public static Point2d operator$subAssign(Point2d a,
                                             Tuple2d b)

### operator$subAssign

    public static Point2d operator$subAssign(Point2d a,
                                             Tuple2f b)

### operator$subAssign

    public static Point2f operator$subAssign(Point2f a,
                                             Tuple2f b)

### operator$subAssign

    public static Point3d operator$subAssign(Point3d a,
                                             Tuple3d b)

### operator$subAssign

    public static Point3d operator$subAssign(Point3d a,
                                             Tuple3f b)

### operator$subAssign

    public static Point3f operator$subAssign(Point3f a,
                                             Tuple3f b)

### operator$subAssign

    public static Point4d operator$subAssign(Point4d a,
                                             Tuple4d b)

### operator$subAssign

    public static Point4d operator$subAssign(Point4d a,
                                             Tuple4f b)

### operator$subAssign

    public static Point4f operator$subAssign(Point4f a,
                                             Tuple4f b)

### operator$subAssign

    public static Vector2d operator$subAssign(Vector2d a,
                                              Vector2d b)

### operator$subAssign

    public static Vector2d operator$subAssign(Vector2d a,
                                              Vector2f b)

### operator$subAssign

    public static Vector2f operator$subAssign(Vector2f a,
                                              Vector2f b)

### operator$subAssign

    public static Vector3d operator$subAssign(Vector3d a,
                                              Vector3d b)

### operator$subAssign

    public static Vector3d operator$subAssign(Vector3d a,
                                              Vector3f b)

### operator$subAssign

    public static Vector3f operator$subAssign(Vector3f a,
                                              Vector3f b)

### operator$subAssign

    public static Vector4d operator$subAssign(Vector4d a,
                                              Vector4d b)

### operator$subAssign

    public static Vector4d operator$subAssign(Vector4d a,
                                              Vector4f b)

### operator$subAssign

    public static Vector4f operator$subAssign(Vector4f a,
                                              Vector4f b)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD